# $Revision: 1.86 $, $Date: 2008-04-10 13:26:18 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		_ver_major	9
%define		_ver_minor	0
%define		_ver_patch	124
%define		_ver_serial	0
%define		base_name	adobe-flash
Summary:	Flash plugin for Netscape-compatible WWW browsers
Summary(pl.UTF-8):	Wtyczka Flash dla przeglądarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
%define		_rel 1
Version:	%{_ver_major}.%{_ver_minor}.%{_ver_patch}.%{_ver_serial}
Release:	%{_rel}%{?with_license_agreement:wla}
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
# NoSource0-md5:	a311fd97aa6c214f63dc089a20cf7a39
%else
Source1:	license-installer.sh
%endif
URL:		http://www.adobe.com/products/flashplayer/
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
Requires:	browser-plugins >= 2.0
# apparently dlopened by player
Requires:	libasound.so.2
%else
Requires:	rpm-build-tools
%endif
Provides:	macromedia-flash
Provides:	browser(flash)
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/adobe

%description
Adobe(R) Flash(R) Player 9 for Linux - the next-generation client
runtime for engaging with Flash content and applications on Linux.

%description -l pl.UTF-8
Adobe(R) Flash(R) Player - środowisko nowej generacji do obsługi
treści i aplikacji we Flashu pod Linuksem.

%prep
%if %{with license_agreement}
%setup -q -n install_flash_player_%{_ver_major}_linux
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_browserpluginsdir}}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/mms.cfg
# http://www.adobe.com/cfusion/knowledgebase/index.cfm?id=16701594
AutoUpdateDisable=1
AutoUpdateInterval=0
EOF
install *.so $RPM_BUILD_ROOT%{_browserpluginsdir}

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%else
%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mms.cfg
%attr(755,root,root) %{_browserpluginsdir}/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adobe-flash.spec,v $
Revision 1.86  2008-04-10 13:26:18  arekm
solves CVE-2007-5275, CVE-2007-6243, CVE-2007-6637, CVE-2007-6019, CVE-2007-0071, CVE-2008-1655, CVE-2008-1654

Revision 1.85  2008-04-10 13:24:52  arekm
- up to 9.0.124

Revision 1.84  2007-12-25 16:58:54  glen
- word-wrap

Revision 1.83  2007-12-24 09:56:21  blues
- sort CVE

Revision 1.82  2007-12-20 18:15:56  arekm
- up to 9.0.115.0 on head, too.
  Fixes CVE-2007-4324, CVE-2007-4768, CVE-2007-5275, CVE-2007-5476,
  CVE-2007-6242, CVE-2007-6243, CVE-2007-6244, CVE-2007-6245, CVE-2007-6246.

Revision 1.81  2007-12-10 22:52:24  glen
- avoid duplicate NoSource0-md5

Revision 1.80  2007-12-10 22:50:41  glen
- revert update to 9.0.115.0 beta on HEAD (no response from areq why i can't do it)

Revision 1.78  2007-07-13 06:47:47  aflinta
- it's better to use official release than nonworking beta

Revision 1.77  2007/06/17 14:22:23  glen
- it's 9.0 r60 according to about:plugins 

Revision 1.76  2007/06/16 11:09:04  arekm
- 9 beta 3 (real version scheme unknown

Revision 1.75  2007/04/17 19:10:50  glen
- this way it's better

Revision 1.74  2007/02/25 12:59:30  blues
- provides browser(flash)

Revision 1.73  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.72  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.71  2007/01/21 22:09:21  qboosh
- somehow informative desc instead of advertisement

Revision 1.70  2007/01/18 15:54:18  blues
- it provides macromedia-flash too

Revision 1.69  2007/01/18 12:19:45  glen
- correct base_name

Revision 1.68  2007/01/18 12:01:10  glen
- obsoletes macromedia-flash

Revision 1.67  2007/01/17 13:57:35  glen
- update URL

Revision 1.66  2007/01/17 11:59:20  arekm
- final 9.0.31.0

Revision 1.65  2007/01/10 21:30:28  glen
- disable autoupdate

Revision 1.64  2007/01/10 11:40:43  glen
- browser-plugins v2; rel 2

Revision 1.63  2007/01/09 21:58:52  glen
- update URL

Revision 1.62  2006/11/21 15:53:26  shadzik
- ups, it's rel 1 of course

Revision 1.61  2006/11/21 15:52:15  shadzik
- flash 9 beta 2 for linux (9.0.21.78)
- Source from adobe.com

Revision 1.60  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.59  2006/10/30 17:28:49  shadzik
- add mozilla-firefox-bin support
- rel up

Revision 1.58  2006/10/19 13:03:46  glen
- md5 restored

Revision 1.57  2006/10/19 13:03:22  glen
- longer description copied from webpage
- version check not neccessary, the source includes dir with version

Revision 1.56  2006/10/19 12:52:10  arekm
- let's try 9.0.21.55

Revision 1.55  2006/09/17 20:39:41  glen
- change source0 to include version

Revision 1.54  2006/09/16 11:05:09  glen
- add version check, as url without version you could fetch cache copy of old version
- should restore the versioned url, really

Revision 1.53  2006/09/16 08:48:37  paszczus
- updated to 7.0.68 (fixes several security vulnerabilities as reported in Adobe Vulnerability APSB06-11)
  CVE-2006-3311 CVE-2006-3587 CVE-2006-3588
- changed Source0 URL

Revision 1.52  2006/05/19 23:59:26  baggins
- rel 6
- fix mozilla triggers

Revision 1.51  2006/05/14 13:07:36  blues
- release 5 - install everything what is needed for seamonkey

Revision 1.50  2006/05/04 21:10:27  glen
- browser-plugins(%{_target_base_arch}), rel 4

Revision 1.49  2006/04/22 18:50:06  glen
- rel 3

Revision 1.48  2006/04/22 17:19:06  glen
- use %else

Revision 1.47  2006/04/22 17:05:33  glen
- rel 2

Revision 1.46  2006/04/22 17:02:49  glen
- wget required by rpm-build-tools, cpio by rpm-build
- don't require browser-plugins for installer

Revision 1.45  2006/04/19 19:28:35  adamg
- triggers for seamonkey

Revision 1.44  2006/03/22 12:30:56  glen
- up to 7.0.63, resolves CVE-2006-0024

Revision 1.43  2005/11/28 12:29:37  glen
- use versioned url

Revision 1.42  2005/11/28 11:53:52  glen
- updated to 7.0.61.0, resolves CVE-2005-2628

Revision 1.41  2005/10/30 21:32:19  qboosh
- unified bcond header

Revision 1.40  2005/10/29 11:18:29  glen
- rel 4

Revision 1.39  2005/10/29 03:38:43  aredridel
- won't work as pre, post-install call installer

Revision 1.38  2005/09/17 17:58:22  glen
- rel 3

Revision 1.37  2005/09/06 17:55:19  glen
- add nice migration triggers

Revision 1.36  2005/08/24 11:35:04  glen
- split version to major and minor vers
- macros not needed for installer package

Revision 1.35  2005/08/23 20:41:27  qboosh
- updated pl desc

Revision 1.34  2005/08/23 20:00:05  glen
- update URL

Revision 1.33  2005/08/23 19:17:50  glen
- unzip unneccessary

Revision 1.32  2005/08/23 19:17:25  glen
- sync requires from w32codec.spec

Revision 1.31  2005/08/23 18:45:30  glen
- make i686 package install on amd64

Revision 1.30  2005/08/23 18:10:13  glen
- require correct arch of browser-plugins

Revision 1.29  2005/08/23 18:02:03  glen
- add opera support

Revision 1.28  2005/08/23 17:56:48  glen
- use shared installer script from SOURCES

Revision 1.27  2005/08/23 17:22:40  glen
- single package with triggers on browser packages

Revision 1.26  2005/08/23 16:47:51  glen
- use without macro

Revision 1.25  2005/08/23 16:45:34  glen
- use non-expanding heredoc redirection for readiness

Revision 1.24  2005/01/21 22:21:34  qboosh
- don't mention netraider, it's dead

Revision 1.23  2004/12/13 12:49:34  ankry
- with license_agreement support, rel. 2

Revision 1.22  2004/06/23 19:13:11  qboosh
- cosmetic

Revision 1.21  2004/06/23 18:43:10  havner
- firefox plugin added

Revision 1.20  2004/05/27 18:19:27  alchemyx
- upgraded to 7.0r25

Revision 1.19  2004/03/16 20:23:11  areq
- Flash Plugin for Browsers 6.0.81 (Flash 6)
- The plugin no longer requires libstdc++.

Revision 1.18  2003/11/26 15:44:40  adgor
- No, it doesn't need whole libstdc++-compat, but only libstdc++-libc6.2-2.so.3,
  which is provided by compat-libstdc++-2.10 package. So libstdc++-compat is
  obsoleted - use compat-libstdc++-* packages instead.

Revision 1.17  2003/11/26 15:20:11  arekm
- mozilla plugin can be used with opera, too so just be nicer for potential user

Revision 1.16  2003/11/24 12:02:37  baggins
- release 4

Revision 1.15  2003/11/24 12:02:21  baggins
- fixed requires

Revision 1.14  2003/11/02 12:56:16  adgor
- Ops.. removed BR compat-libstdc++-2.10

Revision 1.13  2003/11/02 12:33:21  adgor
- Fixed compat-libstdc++ deps

Revision 1.12  2003/10/18 19:53:24  djurban
- removed ra bcond. (use branch)

Revision 1.11  2003/09/11 16:42:50  gotar
- BR: compat-libstdc++-2.10 for proper generation of dependencies,
- release 3.

Revision 1.10  2003/09/01 13:01:20  qboosh
- updated compat-libstdc++ deps

Revision 1.9  2003/08/18 09:46:30  qboosh
- NoSource md5, more specific URL

Revision 1.8  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 12:59:39  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/06 13:22:25  aflinta
- updated to version 6.0.79.0

Revision 1.4  2003/03/04 10:47:30  grabba
- added bcond to build in RA environment

Revision 1.3  2003/01/13 10:09:05  adgor
- Prefix /usr
- Release 2

Revision 1.2  2002/12/30 12:46:25  qboosh
- added base package (for src/nosrc.rpm) with new Name (equal spec name)
- 644 for *.xpt

Revision 1.1  2002/12/24 00:00:51  blues
- konqueror and mozilla plugin are build from one spec now.

Revision 1.10  2002/12/23 23:39:02  blues
- updated to 6.0r69 - fixed URL

Revision 1.9  2002/12/09 07:36:26  aflinta
- moved to /usr
- release 4
- note! Latest flash source is from 04/XII/2002 please reget it

Revision 1.8  2002/11/10 18:49:57  wolf
- correct build dir

Revision 1.7  2002/11/08 12:52:05  krzak
- Requires:       libstdc++-compat
- Release 2

Revision 1.6  2002/10/28 12:09:55  grabba
- tested with mozilla 1.0

Revision 1.5  2002/10/28 10:56:25  misiek
- updated to 6.0 beta

Revision 1.4  2002/10/08 12:45:00  misiek
- updated to 5.0r51

Revision 1.3  2002/08/18 12:34:00  blues
- license fix

Revision 1.2  2002/08/12 18:27:34  blues
- 5.0r50 - SECURITY update

Revision 1.1  2002/05/15 16:50:10  saq
- flash-plugin renamed to mozilla-plugin-macromedia-flash
- License forbids distribution!

Revision 1.12  2002/04/25 16:18:26  arturs
- fixed a small typo

Revision 1.11  2002/04/18 10:47:33  misiek
- 5.0r48 (still doesn't work with mozilla 0.9.9

Revision 1.10  2002/03/27 11:05:59  roman
- s/Distribuable/distributable in License

Revision 1.9  2002/03/24 02:04:52  blues
- s/Exclude/Exclusive/

Revision 1.8  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.5  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/12 14:07:53  kloczek
- ExcludeArch: %{ix86}

Revision 1.3  2001/07/12 14:04:47  kloczek
- cosmetics and some minor changes in macros using.

Revision 1.2  2001/07/07 12:55:51  wrobell
- this specfile is created from template.spec, cut template's changelog

Revision 1.1  2001/07/07 12:51:04  wrobell
- flash plugin for mozilla based browsers
- stb
